/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IImageProps, ImageLoadState } from './Image.types';
export interface IImageState {
    loadState?: ImageLoadState;
}
export declare const CoverStyleMap: {
    [key: number]: string;
};
export declare const ImageFitMap: {
    [key: number]: string;
};
export declare class Image extends BaseComponent<IImageProps, IImageState> {
    static defaultProps: {
        shouldFadeIn: boolean;
    };
    private static _svgRegex;
    private _coverStyle;
    private _imageElement;
    private _frameElement;
    constructor(props: IImageProps);
    componentWillReceiveProps(nextProps: IImageProps): void;
    componentDidUpdate(prevProps: IImageProps, prevState: IImageState): void;
    render(): JSX.Element;
    private _onImageLoaded(ev);
    private _checkImageLoaded();
    private _computeCoverStyle(props);
    private _onImageError(ev);
}
