"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Utilities_1 = require("office-ui-fabric-react/lib/Utilities");
var Rating_1 = require("office-ui-fabric-react/lib/Rating");
require("./Rating.Basic.Example.scss");
var RatingBasicExample = /** @class */ (function (_super) {
    tslib_1.__extends(RatingBasicExample, _super);
    function RatingBasicExample() {
        var _this = _super.call(this) || this;
        _this.state = {
            largeStarRating: null,
            smallStarRating: null,
            tenStarRating: null
        };
        return _this;
    }
    // tslint:disable:jsx-no-lambda
    RatingBasicExample.prototype.render = function () {
        return (React.createElement("div", { className: 'ms-RatingBasicExample' },
            "Large Stars:",
            React.createElement(Rating_1.Rating, { id: 'largeRatingStar', min: 1, max: 5, size: Rating_1.RatingSize.Large, rating: this.state.largeStarRating, getAriaLabel: this._getRatingComponentAriaLabel, onChanged: this._onLargeStarChanged, onFocus: function () { return console.log('onFocus called'); }, onBlur: function () { return console.log('onBlur called'); }, ariaLabelFormat: '{0} of {1} stars selected' }),
            "Small Stars",
            React.createElement(Rating_1.Rating, { id: 'smallRatingStar', min: 1, max: 5, rating: this.state.smallStarRating, onChanged: this._onSmallStarChanged, getAriaLabel: this._getRatingComponentAriaLabel, onFocus: function () { return console.log('onFocus called'); }, onBlur: function () { return console.log('onBlur called'); }, ariaLabelFormat: '{0} of {1} stars selected' }),
            "10 Small Stars",
            React.createElement(Rating_1.Rating, { id: 'tenRatingStar', min: 1, max: 10, rating: this.state.tenStarRating, onChanged: this._onTenStarChanged, getAriaLabel: this._getRatingComponentAriaLabel, onFocus: function () { return console.log('onFocus called'); }, onBlur: function () { return console.log('onBlur called'); }, ariaLabelFormat: '{0} of {1} stars selected' }),
            "Disabled:",
            React.createElement(Rating_1.Rating, { min: 1, max: 5, rating: this.state.rating, disabled: true, onFocus: function () { return console.log('onFocus called'); }, onBlur: function () { return console.log('onBlur called'); }, ariaLabelFormat: '{0} of {1} stars selected' }),
            "Half star in readOnly mode:",
            React.createElement(Rating_1.Rating, { id: 'readOnlyRatingStar', min: 1, max: 5, rating: 2.5, getAriaLabel: this._getRatingComponentAriaLabel, readOnly: true, ariaLabelFormat: '{0} of {1} stars selected' })));
    };
    RatingBasicExample.prototype._onLargeStarChanged = function (rating) {
        this.setState({
            largeStarRating: rating
        });
    };
    RatingBasicExample.prototype._onSmallStarChanged = function (rating) {
        this.setState({
            smallStarRating: rating
        });
    };
    RatingBasicExample.prototype._onTenStarChanged = function (rating) {
        this.setState({
            tenStarRating: rating
        });
    };
    RatingBasicExample.prototype._getRatingComponentAriaLabel = function (rating, maxRating) {
        return 'Rating value is ' + rating + ' of ' + maxRating;
    };
    tslib_1.__decorate([
        Utilities_1.autobind
    ], RatingBasicExample.prototype, "_onLargeStarChanged", null);
    tslib_1.__decorate([
        Utilities_1.autobind
    ], RatingBasicExample.prototype, "_onSmallStarChanged", null);
    tslib_1.__decorate([
        Utilities_1.autobind
    ], RatingBasicExample.prototype, "_onTenStarChanged", null);
    return RatingBasicExample;
}(React.Component));
exports.RatingBasicExample = RatingBasicExample;
//# sourceMappingURL=Rating.Basic.Example.js.map